Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.expression.operator.collection
Class CollectionContains

    java.lang.Object
      |
      +--com.bea.p13n.expression.internal.ComplexExpressionImpl
            |
            +--com.bea.p13n.expression.operator.Operator
                  |
                  +--com.bea.p13n.expression.operator.collection.CollectionOperator
                        |
                        +--com.bea.p13n.expression.operator.collection.CollectionContains

public final class CollectionContains
extends CollectionOperator

Implementation of the CollectionContains operator. Returns true if a Collection contains a given item.
Input 1: A Collection object (or expression that evaluates to a Collection) that defines the Collection to be searched.
Input 2: An Object (or expression that evaluates to an Object) to be found. The semantics of how the search is carried out is defined by the Collection's underlying implementation of the `contains` method..
Returns: Boolean. Boolean.TRUE if the Collection.contains evaluates to true.

See Also:
  Serialized Form

Constructor Summary
`CollectionContains()`
`CollectionContains(java.lang.Object collection, java.lang.Object item)` Allocates a `CollectionContains` by associating the given operands.

Method Summary
`java.lang.Class[]` | `getParameterSignature()`

Methods inherited from class com.bea.p13n.expression.operator.collection.CollectionOperator
`getLeftHandSide, getRightHandSide`

Methods inherited from class com.bea.p13n.expression.operator.Operator
`leftHandSide, operand, rightHandSide`

Methods inherited from class com.bea.p13n.expression.internal.ComplexExpressionImpl
`addListener, addSubExpression, clearCache, clone, createProxyExpression, equals, getCachedValue, getParent, getSource, getSubExpression, getSubExpressionCount, getUserData, hashCode, isCached, isCacheEnabled, isEqualitySubExpression, notifyListeners, removeAllSubExpressions, removeListener, removeSubExpression, removeSubExpression, setCachedValue, setCacheEnabled, setParent, setSource, setSubExpression, setUserData, toString, write`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CollectionContains

    public CollectionContains()

### CollectionContains

    public CollectionContains(java.lang.Object collection,
                              java.lang.Object item)

  Allocates a `CollectionContains` by associating the given operands.

  Parameters:
    `collection` - The `Collection` object to operate on.
    `item` - An `Object` that is acting as a second operand.

Method Detail

### getParameterSignature

    public java.lang.Class[] getParameterSignature()

  Overrides:
    getParameterSignature in class com.bea.p13n.expression.internal.ComplexExpressionImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved